6.0.0-git
2021-01-18

[#7958] Offer TLS Support for LDAP authentication in Horde
Summary Offer TLS Support for LDAP authentication in Horde
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester web (at) marlboro (dot) edu
Created 2009-02-06 (4364 days ago)
Due
Updated 2009-04-04 (4307 days ago)
Assigned
Resolved 2009-04-04 (4307 days ago)
Milestone 3.3.4
Patch Yes

History
2009-04-04 10:05:50 Jan Schneider Comment #5
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Added to all framework LDAP drivers and vacation/forwards.
2009-02-06 18:41:21 Chuck Hagenbuch Milestone ⇒ 3.3.4
 
2009-02-06 18:40:25 Chuck Hagenbuch Comment #2
State ⇒ Accepted
Reply to this comment
We should add this to other places we have LDAP drivers, too.
2009-02-06 14:42:27 web (at) marlboro (dot) edu Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Offer TLS Support for LDAP authentication in Horde
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: tls.patch Download
Reply to this comment
It appears that newer versions of slapd (on ubuntu anyway) have done 
away with ldaps in favor of TLS on port 389.

PHP has had support for LDAP with TLS for some time and it seems 
relatively stable in my tests.



Here's a patch that enables optional TLS support for Horde with LDAP 
authentication.

-Elliot

Saved Queries